#from __future__ import unicode_literals
# -*- coding: utf-8 -*-
from __future__ import division
from PyQt4.QtGui import QColor
import regles

class Creature():
    """creature a affecter a un pion"""
    def __init__(self, parent=None):
        self.id = "00"
        self.nom = ""                #libelle a afficher dans la liste 
        self.couleur = QColor("grey")    #couleur si pas de texture
        self.logo = ""                #image source du logo
        self.img = {"nom": "", "kx": 1, "ky": 1, "dx": 0, "dy": 0, "rotation": 0, "pivote": False, "masqueAuto": False}
        self.txt = {"taille_police": 20, "gras": False, "dx": 0, "dy": 0, "rotation": 0}
        self.deplacement = 9         #capacite de deplacement (par tour)
        self.vol = False             #peut voler
        self.formeDef = {"H":[], "C":[]} #definition de la forme du decor sur cases hexagonales (cf. classe Forme("H")) et sur cases carrees (cf. classe Forme("C"))        
        self.hauteur = 1             #nombre de cases occupees verticalement par la creature
        self.lstCaracCreature = regles.listeAttributs()    #attributs complementaires lies aux regles utilisees
        self.attaques = []
        self.inventaire = {}          #inventaire {objet: nombre}
        self.notes = ""

    def listeCarac(self):
        return self.lstCaracCreature

    def listeAttaques(self):
        return self.attaques
